Bitcoin HODL Waves

Age distribution of unspent transaction outputs (UTXOs), showing the holding duration of bitcoins

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/metrics/hodl-waves/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each metric is fetched independently. Responses are trimmed samples to show structure.

13 metrics
Metric

HODL Waves 10y

Data used by the Bitcoin HODL Waves chart.

Endpoint
https://newhedge.io/api/v2/metrics/hodl-waves/hw_age_10y?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    17.53311829392585
  ],
  [
    1779062400000,
    17.53383260346276
  ],
  [
    1779148800000,
    17.53229932894911
  ]
]
Metric

HODL Waves 7y to 10y

Data used by the Bitcoin HODL Waves chart.

Endpoint
https://newhedge.io/api/v2/metrics/hodl-waves/hw_age_7y_10y?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    8.312757532948012
  ],
  [
    1779062400000,
    8.330510627653904
  ],
  [
    1779148800000,
    8.331690554630704
  ]
]
Metric

HODL Waves 5y to 7y

Data used by the Bitcoin HODL Waves chart.

Endpoint
https://newhedge.io/api/v2/metrics/hodl-waves/hw_age_5y_7y?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    6.940031681610122
  ],
  [
    1779062400000,
    6.968619865048236
  ],
  [
    1779148800000,
    7.117020000173845
  ]
]
Metric

HODL Waves 4y to 5y

Data used by the Bitcoin HODL Waves chart.

Endpoint
https://newhedge.io/api/v2/metrics/hodl-waves/hw_age_4y_5y?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    4.992004804437713
  ],
  [
    1779062400000,
    4.945216902223621
  ],
  [
    1779148800000,
    4.797246661393679
  ]
]
Metric

HODL Waves 3y to 4y

Data used by the Bitcoin HODL Waves chart.

Endpoint
https://newhedge.io/api/v2/metrics/hodl-waves/hw_age_3y_4y?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    5.051333620337829
  ],
  [
    1779062400000,
    5.050787456516879
  ],
  [
    1779148800000,
    5.046640305811522
  ]
]
Metric

HODL Waves 2y to 3y

Data used by the Bitcoin HODL Waves chart.

Endpoint
https://newhedge.io/api/v2/metrics/hodl-waves/hw_age_2y_3y?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    5.604810816030863
  ],
  [
    1779062400000,
    5.6066399037217
  ],
  [
    1779148800000,
    5.607137736073028
  ]
]
Metric

HODL Waves 1y to 2y

Data used by the Bitcoin HODL Waves chart.

Endpoint
https://newhedge.io/api/v2/metrics/hodl-waves/hw_age_1y_2y?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    11.71652175621747
  ],
  [
    1779062400000,
    11.70981815904058
  ],
  [
    1779148800000,
    11.78096408077353
  ]
]
Metric

HODL Waves 6m to 1y

Data used by the Bitcoin HODL Waves chart.

Endpoint
https://newhedge.io/api/v2/metrics/hodl-waves/hw_age_6m_1y?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    14.4689953667518
  ],
  [
    1779062400000,
    14.49779208428242
  ],
  [
    1779148800000,
    14.48165532934122
  ]
]
Metric

HODL Waves 3m to 6m

Data used by the Bitcoin HODL Waves chart.

Endpoint
https://newhedge.io/api/v2/metrics/hodl-waves/hw_age_3m_6m?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    13.39065871012725
  ],
  [
    1779062400000,
    13.42876981622646
  ],
  [
    1779148800000,
    13.39255494936364
  ]
]
Metric

HODL Waves 1m to 3m

Data used by the Bitcoin HODL Waves chart.

Endpoint
https://newhedge.io/api/v2/metrics/hodl-waves/hw_age_1m_3m?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    5.212361628616833
  ],
  [
    1779062400000,
    5.076703267040415
  ],
  [
    1779148800000,
    5.006074693224534
  ]
]
Metric

HODL Waves 1w to 1m

Data used by the Bitcoin HODL Waves chart.

Endpoint
https://newhedge.io/api/v2/metrics/hodl-waves/hw_age_1w_1m?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    4.714271207628158
  ],
  [
    1779062400000,
    4.755626487424934
  ],
  [
    1779148800000,
    4.766875086668193
  ]
]
Metric

HODL Waves 1d to 1w

Data used by the Bitcoin HODL Waves chart.

Endpoint
https://newhedge.io/api/v2/metrics/hodl-waves/hw_age_1d_1w?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    1.617860214758124
  ],
  [
    1779062400000,
    1.331783741189284
  ],
  [
    1779148800000,
    1.251271440592902
  ]
]
Metric

Hw Age 0d 1d

Data used by the Bitcoin HODL Waves chart.

Endpoint
https://newhedge.io/api/v2/metrics/hodl-waves/hw_age_0d_1d?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    0.445274366609965
  ],
  [
    1779062400000,
    0.7638990861688058
  ],
  [
    1779148800000,
    0.8885698330040981
  ]
]